Package org.apache.sysds.common

## Enum Types.FileFormat

- java.lang.Object
- - java.lang.Enum<Types.FileFormat>
  - - org.apache.sysds.common.Types.FileFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.FileFormat>`

Enclosing class:
  Types

    public static enum Types.FileFormat
    extends Enum<Types.FileFormat>

### Enum Constant Summary

Enum Constants
`BINARY`
`COMPRESSED`
`CSV`
`FEDERATED`
`HDF5`
`JSONL`
`LIBSVM`
`MM`
`PROTO`
`TEXT`
`UNKNOWN`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Types.FileFormat` `defaultFormat()`
`static String` `defaultFormatString()`
`boolean` `isDelimitedFormat()`
`static boolean` `isDelimitedFormat​(String fmt)`
`boolean` `isIJV()`
`boolean` `isTextFormat()`
`static boolean` `isTextFormat​(String fmt)`
`static Types.FileFormat` `safeValueOf​(String fmt)`
`String` `toString()`
`static Types.FileFormat` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Types.FileFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TEXT

    public static final Types.FileFormat TEXT

#### MM

    public static final Types.FileFormat MM

#### CSV

    public static final Types.FileFormat CSV

#### COMPRESSED

    public static final Types.FileFormat COMPRESSED

#### LIBSVM

    public static final Types.FileFormat LIBSVM

#### JSONL

    public static final Types.FileFormat JSONL

#### BINARY

    public static final Types.FileFormat BINARY

#### FEDERATED

    public static final Types.FileFormat FEDERATED

#### PROTO

    public static final Types.FileFormat PROTO

#### HDF5

    public static final Types.FileFormat HDF5

#### UNKNOWN

    public static final Types.FileFormat UNKNOWN

### Method Detail

#### values

    public static Types.FileFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.FileFormat c : Types.FileFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.FileFormat valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isIJV

    public boolean isIJV()

#### isTextFormat

    public boolean isTextFormat()

#### isTextFormat

    public static boolean isTextFormat​(String fmt)

#### isDelimitedFormat

    public boolean isDelimitedFormat()

#### isDelimitedFormat

    public static boolean isDelimitedFormat​(String fmt)

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Types.FileFormat>`

#### defaultFormat

    public static Types.FileFormat defaultFormat()

#### defaultFormatString

    public static String defaultFormatString()

#### safeValueOf

    public static Types.FileFormat safeValueOf​(String fmt)